Bug 68629 - RFE: remove disks from existing raid devices
RFE: remove disks from existing raid devices
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-11 16:29 EDT by Alexandre Oliva
Modified: 2007-03-26 23:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-07 14:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-07-11 16:29:10 EDT
It would be nice if I could take out some of the RAID1 replicas of my root and
boot filesystems for a new installation, so that I wouldn't have to
raidsetfaulty and raidhotremove them before starting a new install on an
existing system.  Taking replicas or spare disks out of a RAID1, or one of the
active members of a RAID5 array, could be supported by the installer, but I'm
not sure it's such a good idea.  It would also be nice to be able to create
RAID1 devices with dummy (inactive) members, so that say one could install using
a pair of replicas taken out of the original /, and then further replicate this
device onto the devices that remained holding the original /, after the old
version is determined to be no longer worth keeping.

Another possility to achieve the same effect would be to allow formatting of a
RAID device without formatting the contained filesystem.  This would only work
for RAID1, of course.  For RAID5, some resizing and raidreconf would be
necessary, so it's probably not worth the trouble.
Comment 1 Michael Fulbright 2002-07-12 16:35:39 EDT
I really have no idea what you are asking for, could you give a concrete example?
Comment 2 Alexandre Oliva 2002-07-12 16:42:22 EDT
Say I don't have any space on my 4 disks that is not allocated to any
filesystem, and I want to install a beta without overwriting anything.

The way I generally do it is to mark as faulty some of the components of the
raid1 device I used for `/', then remove them from the raid1 device, and then
use them to install the new version.

Currently, I have to do this by hand.  It would be nice if the installer would
let me do it, though.  Taking disks out of a raid1 device is no big deal, as
long as at least one replica remains (if not, the raid device itself may well be
Comment 3 Michael Fulbright 2003-03-07 14:58:54 EST
This is not an operation I want to support from anaconda.

Perhaps the distribution config tool group can write a userland tool for
RAID/LVM management.

Note You need to log in before you can comment on or make changes to this bug.